/*
** svn $Id: bob_hires.h 1001 2020-01-10 22:41:16Z arango $
*******************************************************************************
** Copyright (c) 2002-2020 The ROMS/TOMS Group                               **
**   Licensed under a MIT/X style license                                    **
**   See License_ROMS.txt                                                    **
*******************************************************************************
**
** Options for baroclinic model with tides for Bay of Bengal of 1/48 degree Resolution
**
** Application flag:   BOB_HIRES
** Input script:       roms_bob_hires.in
*/
/*======================================================================================================================================*/
/*==============================   LIST OF CPP OPTIONS SET BY SUBART BASED ON FRACIS SET-UP   ==========================================*/
/*======================================================================================================================================*/
#define UV_QDRAG                            /*  Use quadratic bottom friction                                                           */
#define VISC_GRID
#define UV_ADV                              /*  Horizontal & vertical advection of momentum                                             */
#define UV_VIS2                             /*  Harmonic mixing of momentum.                                                            */
/*  *******#define TS_DIF2                               Option for Harmonic mixing scheme */
#define TS_DIF4                             /*  Option for Biharmonic mixing scheme  */
#define UV_COR                              /*  Option to use Coriolis term in in momentum equations                                    */
#define DJ_GRADPS
#define MIX_GEO_TS
#define MIX_GEO_UV                          /*  Use  mixing on geopotential (constant Z) surfaces for horizontal mixing of momentum     */
#define NONLIN_EOS                          /*  Option to use the nonlinear equation of state for tracers                               */
#define SALINITY
#define SOLVE3D                             /*  Option to activate/deactivate 3D model configuration                                    */
#define MASKING                             /*  Land/Sea masking.                                                                       */
/*======================================================================================================================================*/
/*====================     Option for Tidal forcing into the Bay of Bengal edited by subrat  ===========================================*/
/*======================================================================================================================================*/
#define SSH_TIDES                           /*  Imposing tidal elevation                                                                */
#define UV_TIDES                            /*  Add tidal elevation to SSH climatology.                                                 */
#define RAMP_TIDES                          /*  Option to ramp (over one day) tidal forcing at open boundaries                          */
#define ADD_FSOBC                           /*  Option to add tidal elevation to sea surface height climatology                         */
#define ADD_M2OBC                           /*  Option to add tidal currents to 2D momentum climatology                                 */
/*======================================================================================================================================*/
#define ANA_FSOBC                           /*  Analytical free-surface boundary conditions.                                            */
#define ANA_M2OBC                           /*  Analytical 2D momentum boundary conditions.                                             */
#define SOLAR_SOURCE
/*#define SRELAXATION ###### */
#define CURVGRID                            /*  ROMS grid coordinates are curvilinear.                                                  */
#define AVERAGES                            /*  Write out time-averaged fields into output NetCDF file                                  */
#define AVERAGES_FLUXES
/*======================================================================================================================================*/
/*====================     Switch for Bulk turbulent Air-sea flux algorithm based on Fairal et al. (2003)      =========================*/
/*======================================================================================================================================*/
#define BULK_FLUXES                         /*  Use bulk Fairall et al. 2003 air-sea fluxes formulation using ABL                       */
# ifdef BULK_FLUXES
#  undef LONGWAVE                            /*  LWR is a function of the model SST and then add                                         */
#  undef LONGWAVE_OUT                        /*  OLR is a function of the model SST                                                      */
# define EMINUSP
# endif
/*======================================================================================================================================*/
#define LMD_MIXING                         /*   Large, McWilliams and Doney mixing scheme (LMD, also known as KPP mixing scheme)        */
# ifdef LMD_MIXING
#  define LMD_CONVEC
#  define LMD_DDMIX
#  define LMD_SKPP
#  define LMD_BKPP
#  define LMD_NONLOCAL
#  define LMD_RIMIX
# endif

#define ANA_BSFLUX
#define ANA_BTFLUX
#define PIO_LIB
/*#define WET_DRY                             *  This Option is recently off by subrat to de-activate wetting and drying condition      */ 
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
